Scientific Linux Forum.org



  Reply to this topicStart new topicStart Poll

> libvirtd 0.9.10 update -> seg fault, libvirtd seg fault after libvirt update
api
 Posted: Jul 30 2012, 09:26 PM
Quote Post


SLF Newbie


Group: Members
Posts: 1
Member No.: 1758
Joined: 30-July 12









Hello,

I have several VMs running on KVM, Sci Linux 6.1. Today I couldn't start virt-manager and it turned out that libvirtd is not running. Starting it causes seg faults. I checked different logs and noticed that there was an automatic upgrade on Jul 10th of libvirt and libvirt-client (to 0.9.10). I have several VMs running in production on that machine and basically have no control over these anymore. I see that there is a kernel update available (could fix libvirtd seg fault problem, not sure) - but that means server restart and potentially no help so I'll loose all VMs.

Anybody else came across such problem by chance?

Thanks,
Alex

P.S. I could probably try to yum downgrade libvirt - but maybe I'm missing something.

P.P.S frankly, really missing xen, kvm seems still not as robust...
PM
^
AndrewSerk
 Posted: Aug 2 2012, 02:19 PM
Quote Post


SLF Moderator
*****

Group: Moderators
Posts: 457
Member No.: 54
Joined: 14-April 11









Hi api,

I haven't come across this issue since I only have 6.1 in a VM and use 6.2 for host but if I where you I would go ahead with the yum downgrade or maybe even a "yum history # undo" until this gets worked out.

I looked through the mailing list looking for any info that may pertain to this issue but haven't found anything that pertains to this issue.
PM
^
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

Topic Options Reply to this topicStart new topicStart Poll